EmbodiFlowDocs
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • Upload
        • Episodes and versions
          • Annotation
            • Quality and tasks
              • Search
                • Workflows
                  • Algorithms
                    • Models
                      • Artifacts and export
                        • Billing and usage
                          • GET
                            List feature entitlements
                          • GET
                            List plans
                          • GET
                            List current for a subscription
                          • PATCH
                            Update a billing state
                          • GET
                            List invoice snapshots for a current
                          • POST
                            Create a invoice snapshot
                          • GET
                            List usage attestation for a current
                          • GET
                            List usage summary for a current
                          • GET
                            Usage for the current or previous UTC calendar month
                          • GET
                            List usage ledger
                          • GET
                            List usage meters
                          • GET
                            List usage summary
                          • GET
                            Team storage cap and optional money budget
                          • PUT
                            Set the team storage cap and optional money budget
                          • POST
                            Estimate time, meter units, and list price for a planned action
                        • Team and governance
                          • Account and notifications
                            • Webhook endpoints

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Billing and usage
                              4. List usage summary

                              List usage summary

                              GET
                              /v1/usage-summary
                              curl -X GET 'https://api.embodiflow.io/v1/usage-summary' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Responses

                              Success

                              • dataobjectrequired
                                • periodStartstringrequired
                                • periodEndstringrequired
                                • totalsByMeterCodeobjectrequired
                                • breakdownByProjectarray<UsageSummaryProjectBreakdownDto>
                                • breakdownByUserarray<UsageSummaryUserBreakdownDto>
                                • breakdownByTierarray<UsageSummaryTierBreakdownDto>
                              Response example
                              {
                                "data": {
                                  "periodStart": "string",
                                  "periodEnd": "string",
                                  "totalsByMeterCode": {},
                                  "breakdownByProject": [
                                    {
                                      "projectId": "string",
                                      "projectName": "string",
                                      "meterCode": "string",
                                      "quantity": "string",
                                      "storageTier": "string"
                                    }
                                  ],
                                  "breakdownByUser": [
                                    {
                                      "userId": "string",
                                      "userDisplayName": "string",
                                      "meterCode": "string",
                                      "quantity": "string",
                                      "storageTier": "string"
                                    }
                                  ],
                                  "breakdownByTier": [
                                    {
                                      "storageTier": "string",
                                      "quantity": "string",
                                      "billable": false
                                    }
                                  ]
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              GET /usage-meters

                              Next

                              GET /usage/budget

                              curl -X GET 'https://api.embodiflow.io/v1/usage-summary' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              Response example
                              Status code
                              200
                              ​
                              {
                                "data": {
                                  "periodStart": "string",
                                  "periodEnd": "string",
                                  "totalsByMeterCode": {},
                                  "breakdownByProject": [
                                    {
                                      "projectId": "string",
                                      "projectName": "string",
                                      "meterCode": "string",
                                      "quantity": "string",
                                      "storageTier": "string"
                                    }
                                  ],
                                  "breakdownByUser": [
                                    {
                                      "userId": "string",
                                      "userDisplayName": "string",
                                      "meterCode": "string",
                                      "quantity": "string",
                                      "storageTier": "string"
                                    }
                                  ],
                                  "breakdownByTier": [
                                    {
                                      "storageTier": "string",
                                      "quantity": "string",
                                      "billable": false
                                    }
                                  ]
                                }
                              }